Bug 50577 - [patch] fix fetch and build for misc/pybliographer
Summary: [patch] fix fetch and build for misc/pybliographer
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-04-03 22:30 UTC by Mark Linimon
Modified: 2003-04-06 21:32 UTC (History)
0 users

See Also:


Attachments
file.shar (3.64 KB, text/plain)
2003-04-03 22:30 UTC, Mark Linimon
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Linimon 2003-04-03 22:30:12 UTC
	pybliographer is on the 'Request For Deletion' list.  I figured
	I would take a stab at fixing it.

	Note: the shar file below does not fix the plist yet.  Consider
	this initial submission a place-holder to keep the port in the
	tree.  It does, however, update the version and fix the build

Fix: The following shar file contains a unified diff for existing
	files, and two new patches to be installed under files/.
	(I'll be happy if someone tells me a better way to handle
	this combination of circumstances).

	Note, also, that the existing "files/patch-Makefile.in" is
	obsolete and needs to be cvs rm'd.
How-To-Repeat: 	make install
Comment 1 Mark Linimon 2003-04-04 23:20:21 UTC
Updated shar file that also fixes pkg-plist follows.  The port now
both installs cleanly and deinstalls cleanly.  It's ready for review
and/or commit.

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	diff.out
#	pybliographer/files/patch-configure
#	pybliographer/files/patch-bibtex::reverse.c
#
echo x - diff.out
sed 's/^X//' >diff.out << 'END-of-diff.out'
X--- pybliographer/Makefile.dist	Fri Apr  4 14:40:24 2003
X+++ pybliographer/Makefile	Fri Apr  4 14:43:00 2003
X@@ -6,7 +6,7 @@
X #
X 
X PORTNAME=	pybliographer
X-PORTVERSION=	1.0.8
X+PORTVERSION=	1.0.11
X PORTREVISION=	1
X CATEGORIES=	misc python gnome
X MASTER_SITES=	${MASTER_SITE_GNOME}
X@@ -20,8 +20,6 @@
X RUN_DEPENDS=	
${PYTHON_SITELIBDIR}/gtk-1.2/_gnomemodule.so:${PORTSDIR}/x11-toolkits/py-gnome 
\
X 		recode:${PORTSDIR}/converters/recode
X 
X-BROKEN=		"Needs GNU Recode c.5 or later"
X-
X USE_GNOMENG=	yes
X USE_GNOME=	glib12
X USE_PYTHON=	yes
X@@ -31,7 +29,7 @@
X CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include" \
X 		LDFLAGS="-L${LOCALBASE}/lib" \
X 		Python="${PYTHON_CMD}"
X-CONFIGURE_ARGS=	--with-recode-prefix="${LOCALBASE}"
X+CONFIGURE_ARGS=	--with-recode_prefix="${LOCALBASE}"
X 
X pre-patch:
X 	@${REINPLACE_CMD} 's|-lpthread|${PTHREAD_LIBS}|g ; \
X@@ -43,8 +41,8 @@
X 
X post-install:
X 	@${PYTHON_CMD} ${PYTHON_LIBDIR}/compileall.py \
X-		${PREFIX}/share/gnome/${PORTNAME}
X+		${PREFIX}/share/${PORTNAME}
X 	@${PYTHON_CMD} -O ${PYTHON_LIBDIR}/compileall.py \
X-		${PREFIX}/share/gnome/${PORTNAME}
X+		${PREFIX}/share/${PORTNAME}
X 
X .include <bsd.port.mk>
X--- pybliographer/distinfo.dist	Sun Jan 28 01:44:32 2001
X+++ pybliographer/distinfo	Fri Apr  4 14:40:36 2003
X@@ -1 +1 @@
X-MD5 (pybliographer-1.0.8.tar.gz) = 47377825cb4f6c5f87b541021fe264fa
X+MD5 (pybliographer-1.0.11.tar.gz) = a777fd404a5040622b73011d6c9218f4
X--- pybliographer/pkg-plist.dist	Sun Jan 28 01:44:32 2001
X+++ pybliographer/pkg-plist	Fri Apr  4 14:40:47 2003
X@@ -11,298 +11,309 @@
X lib/libbibtex.so.1
X lib/pybliographer/_bibtexmodule.so
X lib/pybliographer/_recodemodule.so
X-share/gnome/apps/Applications/pybliographic.desktop
X-share/gnome/help/pybliographic/C/book1.html
X-share/gnome/help/pybliographic/C/c194.html
X-share/gnome/help/pybliographic/C/c289.html
X-share/gnome/help/pybliographic/C/c310.html
X-share/gnome/help/pybliographic/C/c9.html
X-share/gnome/help/pybliographic/C/class-database.html
X-share/gnome/help/pybliographic/C/class-entry.html
X-share/gnome/help/pybliographic/C/class-iterator.html
X-share/gnome/help/pybliographic/C/class-key.html
X-share/gnome/help/pybliographic/C/class-selection.html
X-share/gnome/help/pybliographic/C/class-sort.html
X-share/gnome/help/pybliographic/C/class-tester.html
X-share/gnome/help/pybliographic/C/class-url.html
X-share/gnome/help/pybliographic/C/docbook.css
X-share/gnome/help/pybliographic/C/edit.png
X-share/gnome/help/pybliographic/C/gui-edit.html
X-share/gnome/help/pybliographic/C/gui-navigate.html
X-share/gnome/help/pybliographic/C/main.png
X-share/gnome/help/pybliographic/C/open.png
X-share/gnome/help/pybliographic/C/reference.html
X-share/gnome/help/pybliographic/C/search.png
X-share/gnome/help/pybliographic/C/stylesheet-images/caution.gif
X-share/gnome/help/pybliographic/C/stylesheet-images/home.gif
X-share/gnome/help/pybliographic/C/stylesheet-images/important.gif
X-share/gnome/help/pybliographic/C/stylesheet-images/next.gif
X-share/gnome/help/pybliographic/C/stylesheet-images/note.gif
X-share/gnome/help/pybliographic/C/stylesheet-images/prev.gif
X-share/gnome/help/pybliographic/C/stylesheet-images/tip.gif
X-share/gnome/help/pybliographic/C/stylesheet-images/toc-blank.gif
X-share/gnome/help/pybliographic/C/stylesheet-images/toc-minus.gif
X-share/gnome/help/pybliographic/C/stylesheet-images/toc-plus.gif
X-share/gnome/help/pybliographic/C/stylesheet-images/up.gif
X-share/gnome/help/pybliographic/C/stylesheet-images/warning.gif
X-share/gnome/help/pybliographic/C/topic.dat
X-share/gnome/help/pybliographic/C/x115.html
X-share/gnome/help/pybliographic/C/x180.html
X-share/gnome/help/pybliographic/C/x22.html
X-share/gnome/help/pybliographic/C/x264.html
X-share/gnome/help/pybliographic/C/x305.html
X-share/gnome/help/pybliographic/C/x329.html
X-share/gnome/help/pybliographic/C/x369.html
X-share/gnome/help/pybliographic/C/x55.html
X-share/gnome/help/pybliographic/it/book1.html
X-share/gnome/help/pybliographic/it/c194.html
X-share/gnome/help/pybliographic/it/c289.html
X-share/gnome/help/pybliographic/it/c310.html
X-share/gnome/help/pybliographic/it/c9.html
X-share/gnome/help/pybliographic/it/class-database.html
X-share/gnome/help/pybliographic/it/class-entry.html
X-share/gnome/help/pybliographic/it/class-iterator.html
X-share/gnome/help/pybliographic/it/class-key.html
X-share/gnome/help/pybliographic/it/class-selection.html
X-share/gnome/help/pybliographic/it/class-url.html
X-share/gnome/help/pybliographic/it/docbook.css
X-share/gnome/help/pybliographic/it/edit.png
X-share/gnome/help/pybliographic/it/gui-edit.html
X-share/gnome/help/pybliographic/it/gui-navigate.html
X-share/gnome/help/pybliographic/it/main.png
X-share/gnome/help/pybliographic/it/open.png
X-share/gnome/help/pybliographic/it/reference.html
X-share/gnome/help/pybliographic/it/search.png
X-share/gnome/help/pybliographic/it/sort.png
X-share/gnome/help/pybliographic/it/stylesheet-images/caution.gif
X-share/gnome/help/pybliographic/it/stylesheet-images/home.gif
X-share/gnome/help/pybliographic/it/stylesheet-images/important.gif
X-share/gnome/help/pybliographic/it/stylesheet-images/next.gif
X-share/gnome/help/pybliographic/it/stylesheet-images/note.gif
X-share/gnome/help/pybliographic/it/stylesheet-images/prev.gif
X-share/gnome/help/pybliographic/it/stylesheet-images/tip.gif
X-share/gnome/help/pybliographic/it/stylesheet-images/toc-blank.gif
X-share/gnome/help/pybliographic/it/stylesheet-images/toc-minus.gif
X-share/gnome/help/pybliographic/it/stylesheet-images/toc-plus.gif
X-share/gnome/help/pybliographic/it/stylesheet-images/up.gif
X-share/gnome/help/pybliographic/it/stylesheet-images/warning.gif
X-share/gnome/help/pybliographic/it/topic.dat
X-share/gnome/help/pybliographic/it/x115.html
X-share/gnome/help/pybliographic/it/x180.html
X-share/gnome/help/pybliographic/it/x22.html
X-share/gnome/help/pybliographic/it/x264.html
X-share/gnome/help/pybliographic/it/x305.html
X-share/gnome/help/pybliographic/it/x329.html
X-share/gnome/help/pybliographic/it/x369.html
X-share/gnome/help/pybliographic/it/x55.html
X-share/gnome/mime-info/pybliographic.keys
X-share/gnome/mime-info/pybliographic.mime
X-share/gnome/pixmaps/pybliographic-logo.png
X-share/gnome/pixmaps/pybliographic.png
X-share/gnome/pybliographer/Pyblio/Autoload.py
X-share/gnome/pybliographer/Pyblio/Autoload.pyc
X-share/gnome/pybliographer/Pyblio/Autoload.pyo
X-share/gnome/pybliographer/Pyblio/Base.py
X-share/gnome/pybliographer/Pyblio/Base.pyc
X-share/gnome/pybliographer/Pyblio/Base.pyo
X-share/gnome/pybliographer/Pyblio/ConfDir/Base.py
X-share/gnome/pybliographer/Pyblio/ConfDir/Base.pyc
X-share/gnome/pybliographer/Pyblio/ConfDir/Base.pyo
X-share/gnome/pybliographer/Pyblio/ConfDir/BibTeX+.py
X-share/gnome/pybliographer/Pyblio/ConfDir/BibTeX+.pyc
X-share/gnome/pybliographer/Pyblio/ConfDir/BibTeX+.pyo
X-share/gnome/pybliographer/Pyblio/ConfDir/BibTeX.py
X-share/gnome/pybliographer/Pyblio/ConfDir/BibTeX.pyc
X-share/gnome/pybliographer/Pyblio/ConfDir/BibTeX.pyo
X-share/gnome/pybliographer/Pyblio/ConfDir/Gnome.py
X-share/gnome/pybliographer/Pyblio/ConfDir/Gnome.pyc
X-share/gnome/pybliographer/Pyblio/ConfDir/Gnome.pyo
X-share/gnome/pybliographer/Pyblio/ConfDir/GnomeUI.py
X-share/gnome/pybliographer/Pyblio/ConfDir/GnomeUI.pyc
X-share/gnome/pybliographer/Pyblio/ConfDir/GnomeUI.pyo
X-share/gnome/pybliographer/Pyblio/ConfDir/Medline.py
X-share/gnome/pybliographer/Pyblio/ConfDir/Medline.pyc
X-share/gnome/pybliographer/Pyblio/ConfDir/Medline.pyo
X-share/gnome/pybliographer/Pyblio/ConfDir/Ovid.py
X-share/gnome/pybliographer/Pyblio/ConfDir/Ovid.pyc
X-share/gnome/pybliographer/Pyblio/ConfDir/Ovid.pyo
X-share/gnome/pybliographer/Pyblio/ConfDir/Refer.py
X-share/gnome/pybliographer/Pyblio/ConfDir/Refer.pyc
X-share/gnome/pybliographer/Pyblio/ConfDir/Refer.pyo
X-share/gnome/pybliographer/Pyblio/Config.py
X-share/gnome/pybliographer/Pyblio/Config.pyc
X-share/gnome/pybliographer/Pyblio/Config.pyo
X-share/gnome/pybliographer/Pyblio/Connector.py
X-share/gnome/pybliographer/Pyblio/Connector.pyc
X-share/gnome/pybliographer/Pyblio/Connector.pyo
X-share/gnome/pybliographer/Pyblio/Exceptions.py
X-share/gnome/pybliographer/Pyblio/Exceptions.pyc
X-share/gnome/pybliographer/Pyblio/Exceptions.pyo
X-share/gnome/pybliographer/Pyblio/Fields.py
X-share/gnome/pybliographer/Pyblio/Fields.pyc
X-share/gnome/pybliographer/Pyblio/Fields.pyo
X-share/gnome/pybliographer/Pyblio/Format/BibTeX.py
X-share/gnome/pybliographer/Pyblio/Format/BibTeX.pyc
X-share/gnome/pybliographer/Pyblio/Format/BibTeX.pyo
X-share/gnome/pybliographer/Pyblio/Format/Medline.py
X-share/gnome/pybliographer/Pyblio/Format/Medline.pyc
X-share/gnome/pybliographer/Pyblio/Format/Medline.pyo
X-share/gnome/pybliographer/Pyblio/Format/Ovid.py
X-share/gnome/pybliographer/Pyblio/Format/Ovid.pyc
X-share/gnome/pybliographer/Pyblio/Format/Ovid.pyo
X-share/gnome/pybliographer/Pyblio/Format/OvidLike.py
X-share/gnome/pybliographer/Pyblio/Format/OvidLike.pyc
X-share/gnome/pybliographer/Pyblio/Format/OvidLike.pyo
X-share/gnome/pybliographer/Pyblio/Format/Refer.py
X-share/gnome/pybliographer/Pyblio/Format/Refer.pyc
X-share/gnome/pybliographer/Pyblio/Format/Refer.pyo
X-share/gnome/pybliographer/Pyblio/Format/__init__.py
X-share/gnome/pybliographer/Pyblio/Format/__init__.pyc
X-share/gnome/pybliographer/Pyblio/Format/__init__.pyo
X-share/gnome/pybliographer/Pyblio/Formatter.py
X-share/gnome/pybliographer/Pyblio/Formatter.pyc
X-share/gnome/pybliographer/Pyblio/Formatter.pyo
X-share/gnome/pybliographer/Pyblio/GnomeUI/Config.py
X-share/gnome/pybliographer/Pyblio/GnomeUI/Config.pyc
X-share/gnome/pybliographer/Pyblio/GnomeUI/Config.pyo
X-share/gnome/pybliographer/Pyblio/GnomeUI/Document.py
X-share/gnome/pybliographer/Pyblio/GnomeUI/Document.pyc
X-share/gnome/pybliographer/Pyblio/GnomeUI/Document.pyo
X-share/gnome/pybliographer/Pyblio/GnomeUI/Editor.py
X-share/gnome/pybliographer/Pyblio/GnomeUI/Editor.pyc
X-share/gnome/pybliographer/Pyblio/GnomeUI/Editor.pyo
X-share/gnome/pybliographer/Pyblio/GnomeUI/Entry.py
X-share/gnome/pybliographer/Pyblio/GnomeUI/Entry.pyc
X-share/gnome/pybliographer/Pyblio/GnomeUI/Entry.pyo
X-share/gnome/pybliographer/Pyblio/GnomeUI/Fields.py
X-share/gnome/pybliographer/Pyblio/GnomeUI/Fields.pyc
X-share/gnome/pybliographer/Pyblio/GnomeUI/Fields.pyo
X-share/gnome/pybliographer/Pyblio/GnomeUI/FieldsInfo.py
X-share/gnome/pybliographer/Pyblio/GnomeUI/FieldsInfo.pyc
X-share/gnome/pybliographer/Pyblio/GnomeUI/FieldsInfo.pyo
X-share/gnome/pybliographer/Pyblio/GnomeUI/FileSelector.py
X-share/gnome/pybliographer/Pyblio/GnomeUI/FileSelector.pyc
X-share/gnome/pybliographer/Pyblio/GnomeUI/FileSelector.pyo
X-share/gnome/pybliographer/Pyblio/GnomeUI/Format.py
X-share/gnome/pybliographer/Pyblio/GnomeUI/Format.pyc
X-share/gnome/pybliographer/Pyblio/GnomeUI/Format.pyo
X-share/gnome/pybliographer/Pyblio/GnomeUI/Index.py
X-share/gnome/pybliographer/Pyblio/GnomeUI/Index.pyc
X-share/gnome/pybliographer/Pyblio/GnomeUI/Index.pyo
X-share/gnome/pybliographer/Pyblio/GnomeUI/Mime.py
X-share/gnome/pybliographer/Pyblio/GnomeUI/Mime.pyc
X-share/gnome/pybliographer/Pyblio/GnomeUI/Mime.pyo
X-share/gnome/pybliographer/Pyblio/GnomeUI/Pybliographic.py
X-share/gnome/pybliographer/Pyblio/GnomeUI/Pybliographic.pyc
X-share/gnome/pybliographer/Pyblio/GnomeUI/Pybliographic.pyo
X-share/gnome/pybliographer/Pyblio/GnomeUI/Search.py
X-share/gnome/pybliographer/Pyblio/GnomeUI/Search.pyc
X-share/gnome/pybliographer/Pyblio/GnomeUI/Search.pyo
X-share/gnome/pybliographer/Pyblio/GnomeUI/Sort.py
X-share/gnome/pybliographer/Pyblio/GnomeUI/Sort.pyc
X-share/gnome/pybliographer/Pyblio/GnomeUI/Sort.pyo
X-share/gnome/pybliographer/Pyblio/GnomeUI/Utils.py
X-share/gnome/pybliographer/Pyblio/GnomeUI/Utils.pyc
X-share/gnome/pybliographer/Pyblio/GnomeUI/Utils.pyo
X-share/gnome/pybliographer/Pyblio/GnomeUI/__init__.py
X-share/gnome/pybliographer/Pyblio/GnomeUI/__init__.pyc
X-share/gnome/pybliographer/Pyblio/GnomeUI/__init__.pyo
X-share/gnome/pybliographer/Pyblio/Help.py
X-share/gnome/pybliographer/Pyblio/Help.pyc
X-share/gnome/pybliographer/Pyblio/Help.pyo
X-share/gnome/pybliographer/Pyblio/Iterator.py
X-share/gnome/pybliographer/Pyblio/Iterator.pyc
X-share/gnome/pybliographer/Pyblio/Iterator.pyo
X-share/gnome/pybliographer/Pyblio/Key.py
X-share/gnome/pybliographer/Pyblio/Key.pyc
X-share/gnome/pybliographer/Pyblio/Key.pyo
X-share/gnome/pybliographer/Pyblio/LyX.py
X-share/gnome/pybliographer/Pyblio/LyX.pyc
X-share/gnome/pybliographer/Pyblio/LyX.pyo
X-share/gnome/pybliographer/Pyblio/Open.py
X-share/gnome/pybliographer/Pyblio/Open.pyc
X-share/gnome/pybliographer/Pyblio/Open.pyo
X-share/gnome/pybliographer/Pyblio/Output/LaTeX.py
X-share/gnome/pybliographer/Pyblio/Output/LaTeX.pyc
X-share/gnome/pybliographer/Pyblio/Output/LaTeX.pyo
X-share/gnome/pybliographer/Pyblio/Output/__init__.py
X-share/gnome/pybliographer/Pyblio/Output/__init__.pyc
X-share/gnome/pybliographer/Pyblio/Output/__init__.pyo
X-share/gnome/pybliographer/Pyblio/Output/html.py
X-share/gnome/pybliographer/Pyblio/Output/html.pyc
X-share/gnome/pybliographer/Pyblio/Output/html.pyo
X-share/gnome/pybliographer/Pyblio/Output/latexutils.py
X-share/gnome/pybliographer/Pyblio/Output/latexutils.pyc
X-share/gnome/pybliographer/Pyblio/Output/latexutils.pyo
X-share/gnome/pybliographer/Pyblio/Output/raw.py
X-share/gnome/pybliographer/Pyblio/Output/raw.pyc
X-share/gnome/pybliographer/Pyblio/Output/raw.pyo
X-share/gnome/pybliographer/Pyblio/Output/text.py
X-share/gnome/pybliographer/Pyblio/Output/text.pyc
X-share/gnome/pybliographer/Pyblio/Output/text.pyo
X-share/gnome/pybliographer/Pyblio/Search.py
X-share/gnome/pybliographer/Pyblio/Search.pyc
X-share/gnome/pybliographer/Pyblio/Search.pyo
X-share/gnome/pybliographer/Pyblio/Selection.py
X-share/gnome/pybliographer/Pyblio/Selection.pyc
X-share/gnome/pybliographer/Pyblio/Selection.pyo
X-share/gnome/pybliographer/Pyblio/Sort.py
X-share/gnome/pybliographer/Pyblio/Sort.pyc
X-share/gnome/pybliographer/Pyblio/Sort.pyo
X-share/gnome/pybliographer/Pyblio/Style/Generic.py
X-share/gnome/pybliographer/Pyblio/Style/Generic.pyc
X-share/gnome/pybliographer/Pyblio/Style/Generic.pyo
X-share/gnome/pybliographer/Pyblio/Style/Parser.py
X-share/gnome/pybliographer/Pyblio/Style/Parser.pyc
X-share/gnome/pybliographer/Pyblio/Style/Parser.pyo
X-share/gnome/pybliographer/Pyblio/Style/Utils.py
X-share/gnome/pybliographer/Pyblio/Style/Utils.pyc
X-share/gnome/pybliographer/Pyblio/Style/Utils.pyo
X-share/gnome/pybliographer/Pyblio/Style/__init__.py
X-share/gnome/pybliographer/Pyblio/Style/__init__.pyc
X-share/gnome/pybliographer/Pyblio/Style/__init__.pyo
X-share/gnome/pybliographer/Pyblio/TextUI.py
X-share/gnome/pybliographer/Pyblio/TextUI.pyc
X-share/gnome/pybliographer/Pyblio/TextUI.pyo
X-share/gnome/pybliographer/Pyblio/Types.py
X-share/gnome/pybliographer/Pyblio/Types.pyc
X-share/gnome/pybliographer/Pyblio/Types.pyo
X-share/gnome/pybliographer/Pyblio/Utils.py
X-share/gnome/pybliographer/Pyblio/Utils.pyc
X-share/gnome/pybliographer/Pyblio/Utils.pyo
X-share/gnome/pybliographer/Pyblio/__init__.py
X-share/gnome/pybliographer/Pyblio/__init__.pyc
X-share/gnome/pybliographer/Pyblio/__init__.pyo
X-share/gnome/pybliographer/Pyblio/recode.py
X-share/gnome/pybliographer/Pyblio/recode.pyc
X-share/gnome/pybliographer/Pyblio/recode.pyo
X-share/gnome/pybliographer/Pyblio/version.py
X-share/gnome/pybliographer/Pyblio/version.pyc
X-share/gnome/pybliographer/Pyblio/version.pyo
X-share/gnome/pybliographer/Styles/Abbrev.xml
X-share/gnome/pybliographer/Styles/Alpha.xml
X-share/gnome/pybliographer/Styles/bibstyle.dtd
X-share/gnome/pybliographer/pybcheck.py
X-share/gnome/pybliographer/pybcheck.pyc
X-share/gnome/pybliographer/pybcheck.pyo
X-share/gnome/pybliographer/pybcompact.py
X-share/gnome/pybliographer/pybcompact.pyc
X-share/gnome/pybliographer/pybcompact.pyo
X-share/gnome/pybliographer/pybconvert.py
X-share/gnome/pybliographer/pybconvert.pyc
X-share/gnome/pybliographer/pybconvert.pyo
X-share/gnome/pybliographer/pybformat.py
X-share/gnome/pybliographer/pybformat.pyc
X-share/gnome/pybliographer/pybformat.pyo
X-share/gnome/pybliographer/pybliographic.py
X-share/gnome/pybliographer/pybliographic.pyc
X-share/gnome/pybliographer/pybliographic.pyo
X-share/gnome/pybliographer/pybrc.py
X-share/gnome/pybliographer/pybrc.pyc
X-share/gnome/pybliographer/pybrc.pyo
X-share/gnome/pybliographer/pybtex.py
X-share/gnome/pybliographer/pybtex.pyc
X-share/gnome/pybliographer/pybtex.pyo
X+share/apps/Applications/pybliographic.desktop
X+share/help/pybliographic/C/book1.html
X+share/help/pybliographic/C/c194.html
X+share/help/pybliographic/C/c289.html
X+share/help/pybliographic/C/c310.html
X+share/help/pybliographic/C/c9.html
X+share/help/pybliographic/C/class-database.html
X+share/help/pybliographic/C/class-entry.html
X+share/help/pybliographic/C/class-iterator.html
X+share/help/pybliographic/C/class-key.html
X+share/help/pybliographic/C/class-selection.html
X+share/help/pybliographic/C/class-sort.html
X+share/help/pybliographic/C/class-tester.html
X+share/help/pybliographic/C/class-url.html
X+share/help/pybliographic/C/docbook.css
X+share/help/pybliographic/C/edit.png
X+share/help/pybliographic/C/gui-edit.html
X+share/help/pybliographic/C/gui-navigate.html
X+share/help/pybliographic/C/main.png
X+share/help/pybliographic/C/open.png
X+share/help/pybliographic/C/reference.html
X+share/help/pybliographic/C/search.png
X+share/help/pybliographic/C/stylesheet-images/caution.gif
X+share/help/pybliographic/C/stylesheet-images/home.gif
X+share/help/pybliographic/C/stylesheet-images/important.gif
X+share/help/pybliographic/C/stylesheet-images/next.gif
X+share/help/pybliographic/C/stylesheet-images/note.gif
X+share/help/pybliographic/C/stylesheet-images/prev.gif
X+share/help/pybliographic/C/stylesheet-images/tip.gif
X+share/help/pybliographic/C/stylesheet-images/toc-blank.gif
X+share/help/pybliographic/C/stylesheet-images/toc-minus.gif
X+share/help/pybliographic/C/stylesheet-images/toc-plus.gif
X+share/help/pybliographic/C/stylesheet-images/up.gif
X+share/help/pybliographic/C/stylesheet-images/warning.gif
X+share/help/pybliographic/C/topic.dat
X+share/help/pybliographic/C/x115.html
X+share/help/pybliographic/C/x180.html
X+share/help/pybliographic/C/x22.html
X+share/help/pybliographic/C/x264.html
X+share/help/pybliographic/C/x305.html
X+share/help/pybliographic/C/x329.html
X+share/help/pybliographic/C/x369.html
X+share/help/pybliographic/C/x55.html
X+share/help/pybliographic/it/book1.html
X+share/help/pybliographic/it/c194.html
X+share/help/pybliographic/it/c289.html
X+share/help/pybliographic/it/c310.html
X+share/help/pybliographic/it/c9.html
X+share/help/pybliographic/it/class-database.html
X+share/help/pybliographic/it/class-entry.html
X+share/help/pybliographic/it/class-iterator.html
X+share/help/pybliographic/it/class-key.html
X+share/help/pybliographic/it/class-selection.html
X+share/help/pybliographic/it/class-url.html
X+share/help/pybliographic/it/docbook.css
X+share/help/pybliographic/it/edit.png
X+share/help/pybliographic/it/gui-edit.html
X+share/help/pybliographic/it/gui-navigate.html
X+share/help/pybliographic/it/main.png
X+share/help/pybliographic/it/open.png
X+share/help/pybliographic/it/reference.html
X+share/help/pybliographic/it/search.png
X+share/help/pybliographic/it/sort.png
X+share/help/pybliographic/it/stylesheet-images/caution.gif
X+share/help/pybliographic/it/stylesheet-images/home.gif
X+share/help/pybliographic/it/stylesheet-images/important.gif
X+share/help/pybliographic/it/stylesheet-images/next.gif
X+share/help/pybliographic/it/stylesheet-images/note.gif
X+share/help/pybliographic/it/stylesheet-images/prev.gif
X+share/help/pybliographic/it/stylesheet-images/tip.gif
X+share/help/pybliographic/it/stylesheet-images/toc-blank.gif
X+share/help/pybliographic/it/stylesheet-images/toc-minus.gif
X+share/help/pybliographic/it/stylesheet-images/toc-plus.gif
X+share/help/pybliographic/it/stylesheet-images/up.gif
X+share/help/pybliographic/it/stylesheet-images/warning.gif
X+share/help/pybliographic/it/topic.dat
X+share/help/pybliographic/it/x115.html
X+share/help/pybliographic/it/x180.html
X+share/help/pybliographic/it/x22.html
X+share/help/pybliographic/it/x264.html
X+share/help/pybliographic/it/x305.html
X+share/help/pybliographic/it/x329.html
X+share/help/pybliographic/it/x369.html
X+share/help/pybliographic/it/x55.html
X+share/mime-info/pybliographic.keys
X+share/mime-info/pybliographic.mime
X+share/pixmaps/pybliographic-logo.png
X+share/pixmaps/pybliographic.png
X+share/pybliographer/Pyblio/Autoload.py
X+share/pybliographer/Pyblio/Autoload.pyc
X+share/pybliographer/Pyblio/Autoload.pyo
X+share/pybliographer/Pyblio/Base.py
X+share/pybliographer/Pyblio/Base.pyc
X+share/pybliographer/Pyblio/Base.pyo
X+share/pybliographer/Pyblio/ConfDir/Base.py
X+share/pybliographer/Pyblio/ConfDir/Base.pyc
X+share/pybliographer/Pyblio/ConfDir/Base.pyo
X+share/pybliographer/Pyblio/ConfDir/BibTeX+.py
X+share/pybliographer/Pyblio/ConfDir/BibTeX+.pyc
X+share/pybliographer/Pyblio/ConfDir/BibTeX+.pyo
X+share/pybliographer/Pyblio/ConfDir/BibTeX.py
X+share/pybliographer/Pyblio/ConfDir/BibTeX.pyc
X+share/pybliographer/Pyblio/ConfDir/BibTeX.pyo
X+share/pybliographer/Pyblio/ConfDir/Gnome.py
X+share/pybliographer/Pyblio/ConfDir/Gnome.pyc
X+share/pybliographer/Pyblio/ConfDir/Gnome.pyo
X+share/pybliographer/Pyblio/ConfDir/GnomeUI.py
X+share/pybliographer/Pyblio/ConfDir/GnomeUI.pyc
X+share/pybliographer/Pyblio/ConfDir/GnomeUI.pyo
X+share/pybliographer/Pyblio/ConfDir/Medline.py
X+share/pybliographer/Pyblio/ConfDir/Medline.pyc
X+share/pybliographer/Pyblio/ConfDir/Medline.pyo
X+share/pybliographer/Pyblio/ConfDir/Ovid.py
X+share/pybliographer/Pyblio/ConfDir/Ovid.pyc
X+share/pybliographer/Pyblio/ConfDir/Ovid.pyo
X+share/pybliographer/Pyblio/ConfDir/Refer.py
X+share/pybliographer/Pyblio/ConfDir/Refer.pyc
X+share/pybliographer/Pyblio/ConfDir/Refer.pyo
X+share/pybliographer/Pyblio/Config.py
X+share/pybliographer/Pyblio/Config.pyc
X+share/pybliographer/Pyblio/Config.pyo
X+share/pybliographer/Pyblio/Connector.py
X+share/pybliographer/Pyblio/Connector.pyc
X+share/pybliographer/Pyblio/Connector.pyo
X+share/pybliographer/Pyblio/Exceptions.py
X+share/pybliographer/Pyblio/Exceptions.pyc
X+share/pybliographer/Pyblio/Exceptions.pyo
X+share/pybliographer/Pyblio/Fields.py
X+share/pybliographer/Pyblio/Fields.pyc
X+share/pybliographer/Pyblio/Fields.pyo
X+share/pybliographer/Pyblio/Format/BibTeX.py
X+share/pybliographer/Pyblio/Format/BibTeX.pyc
X+share/pybliographer/Pyblio/Format/BibTeX.pyo
X+share/pybliographer/Pyblio/Format/Medline.py
X+share/pybliographer/Pyblio/Format/Medline.pyc
X+share/pybliographer/Pyblio/Format/Medline.pyo
X+share/pybliographer/Pyblio/Format/Ovid.py
X+share/pybliographer/Pyblio/Format/Ovid.pyc
X+share/pybliographer/Pyblio/Format/Ovid.pyo
X+share/pybliographer/Pyblio/Format/OvidLike.py
X+share/pybliographer/Pyblio/Format/OvidLike.pyc
X+share/pybliographer/Pyblio/Format/OvidLike.pyo
X+share/pybliographer/Pyblio/Format/Refer.py
X+share/pybliographer/Pyblio/Format/Refer.pyc
X+share/pybliographer/Pyblio/Format/Refer.pyo
X+share/pybliographer/Pyblio/Format/__init__.py
X+share/pybliographer/Pyblio/Format/__init__.pyc
X+share/pybliographer/Pyblio/Format/__init__.pyo
X+share/pybliographer/Pyblio/Format/isifile.py
X+share/pybliographer/Pyblio/Format/isifile.pyc
X+share/pybliographer/Pyblio/Format/isifile.pyo
X+share/pybliographer/Pyblio/Formatter.py
X+share/pybliographer/Pyblio/Formatter.pyc
X+share/pybliographer/Pyblio/Formatter.pyo
X+share/pybliographer/Pyblio/GnomeUI/Config.py
X+share/pybliographer/Pyblio/GnomeUI/Config.pyc
X+share/pybliographer/Pyblio/GnomeUI/Config.pyo
X+share/pybliographer/Pyblio/GnomeUI/Document.py
X+share/pybliographer/Pyblio/GnomeUI/Document.pyc
X+share/pybliographer/Pyblio/GnomeUI/Document.pyo
X+share/pybliographer/Pyblio/GnomeUI/Editor.py
X+share/pybliographer/Pyblio/GnomeUI/Editor.pyc
X+share/pybliographer/Pyblio/GnomeUI/Editor.pyo
X+share/pybliographer/Pyblio/GnomeUI/Entry.py
X+share/pybliographer/Pyblio/GnomeUI/Entry.pyc
X+share/pybliographer/Pyblio/GnomeUI/Entry.pyo
X+share/pybliographer/Pyblio/GnomeUI/Fields.py
X+share/pybliographer/Pyblio/GnomeUI/Fields.pyc
X+share/pybliographer/Pyblio/GnomeUI/Fields.pyo
X+share/pybliographer/Pyblio/GnomeUI/FieldsInfo.py
X+share/pybliographer/Pyblio/GnomeUI/FieldsInfo.pyc
X+share/pybliographer/Pyblio/GnomeUI/FieldsInfo.pyo
X+share/pybliographer/Pyblio/GnomeUI/FileSelector.py
X+share/pybliographer/Pyblio/GnomeUI/FileSelector.pyc
X+share/pybliographer/Pyblio/GnomeUI/FileSelector.pyo
X+share/pybliographer/Pyblio/GnomeUI/Format.py
X+share/pybliographer/Pyblio/GnomeUI/Format.pyc
X+share/pybliographer/Pyblio/GnomeUI/Format.pyo
X+share/pybliographer/Pyblio/GnomeUI/Index.py
X+share/pybliographer/Pyblio/GnomeUI/Index.pyc
X+share/pybliographer/Pyblio/GnomeUI/Index.pyo
X+share/pybliographer/Pyblio/GnomeUI/Mime.py
X+share/pybliographer/Pyblio/GnomeUI/Mime.pyc
X+share/pybliographer/Pyblio/GnomeUI/Mime.pyo
X+share/pybliographer/Pyblio/GnomeUI/Pybliographic.py
X+share/pybliographer/Pyblio/GnomeUI/Pybliographic.pyc
X+share/pybliographer/Pyblio/GnomeUI/Pybliographic.pyo
X+share/pybliographer/Pyblio/GnomeUI/Search.py
X+share/pybliographer/Pyblio/GnomeUI/Search.pyc
X+share/pybliographer/Pyblio/GnomeUI/Search.pyo
X+share/pybliographer/Pyblio/GnomeUI/Sort.py
X+share/pybliographer/Pyblio/GnomeUI/Sort.pyc
X+share/pybliographer/Pyblio/GnomeUI/Sort.pyo
X+share/pybliographer/Pyblio/GnomeUI/Utils.py
X+share/pybliographer/Pyblio/GnomeUI/Utils.pyc
X+share/pybliographer/Pyblio/GnomeUI/Utils.pyo
X+share/pybliographer/Pyblio/GnomeUI/__init__.py
X+share/pybliographer/Pyblio/GnomeUI/__init__.pyc
X+share/pybliographer/Pyblio/GnomeUI/__init__.pyo
X+share/pybliographer/Pyblio/Help.py
X+share/pybliographer/Pyblio/Help.pyc
X+share/pybliographer/Pyblio/Help.pyo
X+share/pybliographer/Pyblio/Iterator.py
X+share/pybliographer/Pyblio/Iterator.pyc
X+share/pybliographer/Pyblio/Iterator.pyo
X+share/pybliographer/Pyblio/Key.py
X+share/pybliographer/Pyblio/Key.pyc
X+share/pybliographer/Pyblio/Key.pyo
X+share/pybliographer/Pyblio/LyX.py
X+share/pybliographer/Pyblio/LyX.pyc
X+share/pybliographer/Pyblio/LyX.pyo
X+share/pybliographer/Pyblio/Open.py
X+share/pybliographer/Pyblio/Open.pyc
X+share/pybliographer/Pyblio/Open.pyo
X+share/pybliographer/Pyblio/Output/LaTeX.py
X+share/pybliographer/Pyblio/Output/LaTeX.pyc
X+share/pybliographer/Pyblio/Output/LaTeX.pyo
X+share/pybliographer/Pyblio/Output/__init__.py
X+share/pybliographer/Pyblio/Output/__init__.pyc
X+share/pybliographer/Pyblio/Output/__init__.pyo
X+share/pybliographer/Pyblio/Output/html.py
X+share/pybliographer/Pyblio/Output/html.pyc
X+share/pybliographer/Pyblio/Output/html.pyo
X+share/pybliographer/Pyblio/Output/latexutils.py
X+share/pybliographer/Pyblio/Output/latexutils.pyc
X+share/pybliographer/Pyblio/Output/latexutils.pyo
X+share/pybliographer/Pyblio/Output/raw.py
X+share/pybliographer/Pyblio/Output/raw.pyc
X+share/pybliographer/Pyblio/Output/raw.pyo
X+share/pybliographer/Pyblio/Output/text.py
X+share/pybliographer/Pyblio/Output/text.pyc
X+share/pybliographer/Pyblio/Output/text.pyo
X+share/pybliographer/Pyblio/Query.py
X+share/pybliographer/Pyblio/Query.pyc
X+share/pybliographer/Pyblio/Query.pyo
X+share/pybliographer/Pyblio/Search.py
X+share/pybliographer/Pyblio/Search.pyc
X+share/pybliographer/Pyblio/Search.pyo
X+share/pybliographer/Pyblio/Selection.py
X+share/pybliographer/Pyblio/Selection.pyc
X+share/pybliographer/Pyblio/Selection.pyo
X+share/pybliographer/Pyblio/Sort.py
X+share/pybliographer/Pyblio/Sort.pyc
X+share/pybliographer/Pyblio/Sort.pyo
X+share/pybliographer/Pyblio/Style/Generic.py
X+share/pybliographer/Pyblio/Style/Generic.pyc
X+share/pybliographer/Pyblio/Style/Generic.pyo
X+share/pybliographer/Pyblio/Style/Parser.py
X+share/pybliographer/Pyblio/Style/Parser.pyc
X+share/pybliographer/Pyblio/Style/Parser.pyo
X+share/pybliographer/Pyblio/Style/Utils.py
X+share/pybliographer/Pyblio/Style/Utils.pyc
X+share/pybliographer/Pyblio/Style/Utils.pyo
X+share/pybliographer/Pyblio/Style/__init__.py
X+share/pybliographer/Pyblio/Style/__init__.pyc
X+share/pybliographer/Pyblio/Style/__init__.pyo
X+share/pybliographer/Pyblio/Style/apa4e.py
X+share/pybliographer/Pyblio/Style/apa4e.pyc
X+share/pybliographer/Pyblio/Style/apa4e.pyo
X+share/pybliographer/Pyblio/TextUI.py
X+share/pybliographer/Pyblio/TextUI.pyc
X+share/pybliographer/Pyblio/TextUI.pyo
X+share/pybliographer/Pyblio/Types.py
X+share/pybliographer/Pyblio/Types.pyc
X+share/pybliographer/Pyblio/Types.pyo
X+share/pybliographer/Pyblio/Utils.py
X+share/pybliographer/Pyblio/Utils.pyc
X+share/pybliographer/Pyblio/Utils.pyo
X+share/pybliographer/Pyblio/__init__.py
X+share/pybliographer/Pyblio/__init__.pyc
X+share/pybliographer/Pyblio/__init__.pyo
X+share/pybliographer/Pyblio/recode.py
X+share/pybliographer/Pyblio/recode.pyc
X+share/pybliographer/Pyblio/recode.pyo
X+share/pybliographer/Pyblio/version.py
X+share/pybliographer/Pyblio/version.pyc
X+share/pybliographer/Pyblio/version.pyo
X+share/pybliographer/Styles/Abbrev.xml
X+share/pybliographer/Styles/Alpha.xml
X+share/pybliographer/Styles/apa4e.xml
X+share/pybliographer/Styles/bibstyle.dtd
X+share/pybliographer/pybcheck.py
X+share/pybliographer/pybcheck.pyc
X+share/pybliographer/pybcheck.pyo
X+share/pybliographer/pybcompact.py
X+share/pybliographer/pybcompact.pyc
X+share/pybliographer/pybcompact.pyo
X+share/pybliographer/pybconvert.py
X+share/pybliographer/pybconvert.pyc
X+share/pybliographer/pybconvert.pyo
X+share/pybliographer/pybformat.py
X+share/pybliographer/pybformat.pyc
X+share/pybliographer/pybformat.pyo
X+share/pybliographer/pybliographic.py
X+share/pybliographer/pybliographic.pyc
X+share/pybliographer/pybliographic.pyo
X+share/pybliographer/pybrc.py
X+share/pybliographer/pybrc.pyc
X+share/pybliographer/pybrc.pyo
X+share/pybliographer/pybtex.py
X+share/pybliographer/pybtex.pyc
X+share/pybliographer/pybtex.pyo
X+share/locale/az/LC_MESSAGES/pybliographer.mo
X share/locale/da/LC_MESSAGES/pybliographer.mo
X share/locale/de/LC_MESSAGES/pybliographer.mo
X share/locale/fi/LC_MESSAGES/pybliographer.mo
X@@ -316,18 +327,18 @@
X share/locale/sv/LC_MESSAGES/pybliographer.mo
X share/locale/tr/LC_MESSAGES/pybliographer.mo
X share/locale/uk/LC_MESSAGES/pybliographer.mo
X-@unexec rm -f %D/share/gnome/pybliographer/pybrc.old
X-@dirrm share/gnome/pybliographer/Styles
X-@dirrm share/gnome/pybliographer/Pyblio/Style
X-@dirrm share/gnome/pybliographer/Pyblio/Output
X-@dirrm share/gnome/pybliographer/Pyblio/GnomeUI
X-@dirrm share/gnome/pybliographer/Pyblio/Format
X-@dirrm share/gnome/pybliographer/Pyblio/ConfDir
X-@dirrm share/gnome/pybliographer/Pyblio
X-@dirrm share/gnome/pybliographer
X-@dirrm share/gnome/help/pybliographic/it/stylesheet-images
X-@dirrm share/gnome/help/pybliographic/it
X-@dirrm share/gnome/help/pybliographic/C/stylesheet-images
X-@dirrm share/gnome/help/pybliographic/C
X-@dirrm share/gnome/help/pybliographic
X+@unexec rm -f %D/share/pybliographer/pybrc.old
X+@dirrm share/pybliographer/Styles
X+@dirrm share/pybliographer/Pyblio/Style
X+@dirrm share/pybliographer/Pyblio/Output
X+@dirrm share/pybliographer/Pyblio/GnomeUI
X+@dirrm share/pybliographer/Pyblio/Format
X+@dirrm share/pybliographer/Pyblio/ConfDir
X+@dirrm share/pybliographer/Pyblio
X+@dirrm share/pybliographer
X+@dirrm share/help/pybliographic/it/stylesheet-images
X+@dirrm share/help/pybliographic/it
X+@dirrm share/help/pybliographic/C/stylesheet-images
X+@dirrm share/help/pybliographic/C
X+@dirrm share/help/pybliographic
X @dirrm lib/pybliographer
END-of-diff.out
echo x - pybliographer/files/patch-configure
sed 's/^X//' >pybliographer/files/patch-configure << 
'END-of-pybliographer/files/patch-configure'
X--- configure.dist	Tue Apr  1 19:18:58 2003
X+++ configure	Tue Apr  1 19:19:26 2003
X@@ -4178,7 +4178,7 @@
X   rm -rf conftest*
X   
X     echo "$ac_t""no (cannot compile)" 1>&6
X-    { echo "configure: error: please install GNU Recode (version 3.5)" 1>&2; 
exit 1; } 
X+    { echo "configure: error: please install GNU Recode (version >= 3.5)" 
1>&2; exit 1; } 
X   
X fi
X rm -f conftest*
X@@ -4257,7 +4257,7 @@
X   echo "$ac_t""no" 1>&6
X 
X     echo
X-    echo "Please check that your version of GNU Recode is 3.5"
X+    echo "Please check that your version of GNU Recode is >= 3.5"
X     echo "If you installed it as a package, check that"
X     echo
X     echo "            recode-devel"
X@@ -4316,8 +4316,8 @@
X 
X version=`${RECODE} --version | head -n 1 | cut -f 3 -d' '`
X 
X-if test ${version} != "3.5" ; then
X-  { echo "configure: error: Please check that your version of GNU Recode is 
3.5" 1>&2; exit 1; }
X+if test ${version} >= "3.5" ; then
X+  { echo "configure: error: Please check that your version of GNU Recode is 
>= 3.5" 1>&2; exit 1; }
X fi
X 
X cat >> confdefs.h <<\EOF
END-of-pybliographer/files/patch-configure
echo x - pybliographer/files/patch-bibtex::reverse.c
sed 's/^X//' >pybliographer/files/patch-bibtex::reverse.c << 
'END-of-pybliographer/files/patch-bibtex::reverse.c'
X--- bibtex/reverse.c.dist	Tue Apr  1 19:22:52 2003
X+++ bibtex/reverse.c	Tue Apr  1 19:22:09 2003
X@@ -26,7 +26,7 @@
X #endif
X 
X #include <string.h>
X-#include <regex.h>
X+#include <gnuregex.h>
X 
X #ifdef HAVE_STDBOOL_H
X #include <stdbool.h>
END-of-pybliographer/files/patch-bibtex::reverse.c
exit
Comment 2 Tilman Keskinoz freebsd_committer 2003-04-06 21:32:38 UTC
State Changed
From-To: open->closed

Committed (with some modifications), thanks!